update installation for OCaml
[lambda.git] / how_to_get_the_programming_languages_running_on_your_computer.mdwn
index e625b00..b75068f 100644 (file)
@@ -274,36 +274,41 @@ The current version of OCaml is 4.02.1 (released October 2014).
 
 *   **To install on Mac without MacPorts**
 
-    The people in charge of OCaml (they're at the French research institute INRIA) have stopped making pre-built packages for Mac OS X. One option you have is to use their package for a slightly older version of OCaml, 4.01.1 from Sept. 2013. You can find that as a "Precompiled binary for Mac OS X" on [this page](http://ocaml.org/releases/4.01.0.html).
+    The people in charge of OCaml (they're at the French research institute INRIA) have stopped making pre-built packages for Mac OS X. One option you have is to use their package for a slightly older version of OCaml, 4.01.1 from Sept. 2013. You can find that as a "Precompiled binary for Mac OS X" on [this page](http://ocaml.org/releases/4.01.0.html). If, when you attempt to install this package, you get an error about its being from an "unidentified developer," you need to control-click on the `ocaml.pkg` file and select "Open", then when the warning box appears again, this time there will be an "Open" button that you can click. Then you can continue running the Installer.
 
-    A second option is to install the OPAM package manager and use that to build and install the latest version of OCaml. *Instructions on how to do that will be posted shortly.*
+    A second option is to install the OPAM package manager and use that to build and install the latest version of OCaml. Here's how to do that:
+
+    1.  Download [this file](https://raw.github.com/ocaml/opam/master/shell/opam_installer.sh) and
+    note where it gets saved to. If it opens in your browser, then type
+    command-S / Save Page and save it somewhere on your disk, again noting its
+    location.
+
+    2.  Open a terminal and type:
+        
+            sudo mkdir -p /usr/local/bin
+            sudo sh /path/to/opam_installer.sh /usr/local/bin
+
+        Except replace `/path/to` with the real location, that you noted in step 1.
+
+    3.  If that works, then type:
+
+            opan init --comp 4.01.0
+
+        or whatever it was that the OPAM installer prompted you to type. This will download and install a fresh version of OCaml, and will take a bit of time.
 
 <!--
-    *Another instruction page focuses on [OPAM](http://ocaml.org/docs/install.html), also [this](https://opam.ocaml.org).*
-
-    *[More details about installing OCaml on Macs, if needed](http://mirror.ocamlcore.org/wiki.cocan.org/getting_started_with_ocaml_on_mac_os_x.html)*
-
-    To install OCaml 3.12 (just released this summer), go to
-    <http://caml.inria.fr/download.en.html>
-    and download and install the "Binary distribution for Mac OS X"
-
-    To install the Findlib add-on, you'll need the Xcode development tools
-    to compile it yourself. Once you get that far, it's probably easiest
-    for you to install MacPorts and just install things using the MacPorts
-    instructions. (Use the MacPorts version of OCaml, instead of installing
-    the package from the caml.inria.fr website, as described above)
-    However, if you do have Xcode, and want to do without MacPorts, then
-    what you need to do is download Findlib from
-    <http://download.camlcity.org/download/findlib-1.2.6.tar.gz>.
-    Unpack the download, open a Terminal and go into the folder you just
-    unpacked, and type:
-
-        ./configure
-        make package-macosx
-
-    This will build an installer package which you should be able to
-    double-click and install.
-    -->
+If you do have Xcode, and want to do without MacPorts, then
+what you need to do is download Findlib from
+<http://download.camlcity.org/download/findlib-1.2.6.tar.gz>.
+Unpack the download, open a Terminal and go into the folder you just
+unpacked, and type:
+
+    ./configure
+    make package-macosx
+
+This will build an installer package which you should be able to
+double-click and install.
+-->
 
 *   **To install on Mac with MacPorts**
 
@@ -348,6 +353,7 @@ The current version of OCaml is 4.02.1 (released October 2014).
     keyboard arrows.
 
 
+
 ## Getting Haskell ##
 
 This last installation is less crucial than the others, since we will be focusing